IM_SETBUF(3)

NAME
im_setbuf - sets an image descriptor to keep an image in ram

SYNOPSIS
#include <vips/vips.h> IMAGE *im_setbuf(buffer_name)
char *buffer_image;

DESCRIPTION
im_setbuf(3) returns an image descriptor which, when written to, will save pels in a memory buffer. It is generally more convenient to call im_open(3).

RETURN VALUE
The function returns a valid image descriptor on success or NULL on error.

SEE ALSO
im_close(3), im_open(3), `VIPS Library Programmers' Guide,' in accompanying documentation.

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 11/04/1990